cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
SonLeThe
Flexera beginner

Cannot update new version of application with installshield express

Hi team,

I have a InstallShield 2019 express with license.

I create an installation for app version 1.0.0.1.

When I build with app version 1.0.0.2, the installation cannot update application. If I change "Product Code" and create a new "Upgrade Paths", the installation can install the new version, but I found two items of this app in "Programs and Features" in Windows OS with two versions "1.0.0.1" and "1.0.0.2".

How do I do to update the old application with a new one?

Thanks

Labels (1)
0 Kudos
5 Replies

Re: Cannot update new version of application with installshield express

Hi @SonLeThe,

You can use Upgrade Paths View to do that:
https://helpnet.flexerasoftware.com/isxhelp25/isxhelp25.htm#helplibrary/IHelpISXUpgradePaths.htm?Hig...

Creating Full-Installation Upgrades:
https://helpnet.flexerasoftware.com/isxhelp25/helplibrary/CreatingMajorUpgrades.htm#updatingapplicat...

 

Here is how I configured my sample Express Project:

Upgrade Configuration:
image.png


Program and Features (After Installer v1.00.0000):
image.png

Program and Features (After Installer v1.00.0001):
image.png

 

Thanks,

0 Kudos
SonLeThe
Flexera beginner

Re: Cannot update new version of application with installshield express

I'm already add new "Upgrade Paths" like your sample, don't change the "Product code", but the installation is always show the message "Another version of this product is already installed" and stop the processing.
0 Kudos

Re: Cannot update new version of application with installshield express

Hi @SonLeThe,

As far as I can recollect, InstallShield Express only supports the creation of Major Upgrades and QuickPatch.

And since Upgrade Path are for Major Upgrade in Express Project, you have to change the Product Code for the upgrade to work.
https://helpnet.flexerasoftware.com/isxhelp25/isxhelp25.htm#helplibrary/MajorUpgrade.htm#updatingapp...

Try changing the Product Code, and let us know if that works. (But leave the Upgrade Code as is)

 

Thanks,

0 Kudos
SonLeThe
Flexera beginner

Re: Cannot update new version of application with installshield express

Hi @UtsabKarmakar and team,

If I change the "Product Code", the OS will understand we have 2 applications and show them in "Add & Remove Programe" like in my first posting.
I took some tests, it should work if i change the minor version "1.0.0.1" to "1.1.0.0", cannot work if change to "1.0.0.2" and must set the "max version" to empty and "Include Max Version" to No. So I think the problem is resolved.
Other questions, in my project, we have to install other product (e.g: crystal report runtime) before install my application (like the same Redistributables feature)
My question:
1. How to include the CR Runtime setup in InstallShield express?
2. How to check the CR Runtime is already exist or not to install or ignore it before install my product.
Many thanks.

0 Kudos

Re: Cannot update new version of application with installshield express

Hi @SonLeThe,

In case the version problem is not resolved, you can try changing the "Product Code" and it should not create 2 application entries in "Add & Remove Program", if "Upgrade Path" is used to configure (As provided in the previous example). 

Also it seems that Upgrade paths are for major upgrades only. The Upgrade Paths view is only for upgrading an entire installation, and not for upgrading a few files (patching). If you need patching capabilities, you can create a QuickPatch project. (https://helpnet.flexerasoftware.com/isxhelp25/isxhelp25.htm#helplibrary/CreatingMajorUpgrades.htm?Hi...)

 

Answering your question...

1. How to include the CR Runtime setup in InstallShield express?
 -- You can use the "Redistributables" View  under "Specify Application Data > Redistributables" to add any prerequisites to you application. But unfortunately you can't use the Prerequisite Editor to create a new once, as the editor is not available in Express edition. 

2. How to check the CR Runtime is already exist or not to install or ignore it before install my product.
 --  You can use condition to detect that. But unfortunately the Prerequisite Editor is only available in InstallShield Premier Edition and InstallShield Professional Edition. (https://helpnet.flexerasoftware.com/isxhelp25/isxhelp25.htm#helplibrary/IHelpMergeModules.htm?Highli...)

 

Thanks,

0 Kudos